GET /instances/{id}/rendered
Operation ID: —
Auth: unknown
Description
Render the first frame of the given DICOM instance. This function takes scaling into account (`RescaleSlope` and `RescaleIntercept` tags), as well as the default windowing stored in the DICOM file (`WindowCenter` and `WindowWidth`tags), and can be used to resize the resulting image. Color images are not affected by windowing.
Parameters (9)
(string, header, optional)
Format of the resulting image. Can be `image/png` (default), `image/jpeg` or `image/x-portable-arbitrarymap`
(number, query, optional)
Height of the resized image
(string, path, required)
Orthanc identifier of the DICOM instance of interest
(number, query, optional)
Quality for JPEG images (between 1 and 100, defaults to 90)
(boolean, query, optional)
Returns an unsupported.png placeholder image if unable to provide the image instead of returning a 415 HTTP error (defaults to false)
(boolean, query, optional)
Whether to smooth image on resize
(number, query, optional)
Width of the resized image
(number, query, optional)
Windowing center
(number, query, optional)
Windowing width
No probe data for this endpoint yet.